View Issue Details

IDProjectCategoryView StatusLast Update
0002767AJAX/JSBug Report - Interfacepublic2019-08-08 16:28
ReporterCDB-ManAssigned ToDerIdiot 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2019-01 
Summary0002767: bbcode editor: quotes missing for named quote and spoiler blocks
DescriptionBlock name = "aaa"
Output = [quote=aaa]

Block name = "aaa aaa"
Output = [quote=aaa aaa]
Expected output = [quote="aaa aaa"]

The same happens for spoilers.

The same also happens for links... for those rare weird links that insert actual spaces instead of %20:
URL = "http://anidb .net"
Output = [url=http://anidb .net]aaa[/url]
Expected output = [url="http://anidb .net"]aaa[/url]

NOTE: if [url="http://anidb .net"]aaa[/url] is provided, it actually parses correctly already, with the anchor's link being "http://anidb%20.net" (per Chrome)
Tagsbbcode

Relationships

related to 0003234 resolvedDerIdiot AJAX/JS BBCode: parses special characters into HTML Character Escape 
related to 0003272 resolvedDerIdiot AJAX/JS BBcode editor: input field for spoiler descriptions does not converted pasted content into plain text 
has duplicate 0002820 closedDerIdiot HTML & PERL Spoiler button broken if words with a space in between them is used for Description (optional) 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-12-18 08:25 CDB-Man New Issue
2016-12-18 08:25 CDB-Man Tag Attached: bbcode
2017-03-10 04:45 CDB-Man Relationship added has duplicate 0002820
2017-03-10 04:45 CDB-Man Relationship deleted has duplicate 0002820
2017-03-10 04:46 CDB-Man Relationship added parent of 0002820
2018-08-06 05:31 CDB-Man Relationship added child of 0003235
2018-09-02 20:59 CDB-Man Relationship added related to 0003234
2018-10-14 20:09 CDB-Man Relationship added related to 0003272
2018-12-03 14:06 DerIdiot Relationship deleted child of 0003235
2018-12-03 15:16 DerIdiot Relationship deleted parent of 0002820
2018-12-03 15:17 DerIdiot Relationship added has duplicate 0002820
2018-12-03 16:20 DerIdiot Assigned To => DerIdiot
2018-12-03 16:20 DerIdiot Status new => resolved
2018-12-03 16:20 DerIdiot Resolution open => fixed
2018-12-03 16:20 DerIdiot Fixed in Version => 2019-01